Index: issm/trunk/test/NightlyRun/Id2Name.m
===================================================================
--- issm/trunk/test/NightlyRun/Id2Name.m	(revision 4991)
+++ issm/trunk/test/NightlyRun/Id2Name.m	(revision 4992)
@@ -5,5 +5,41 @@
 %      name=Id2Name(id);
 
-if     (id==201), name='SquareShelfDiagM2dSerial';
+if     (id==101), name='SquareSheetConstrainedDiagM2dSerial';
+elseif (id==102), name='SquareSheetConstrainedDiagM2dParallel';
+elseif (id==103), name='SquareSheetConstrainedDiagM3dSerial';
+elseif (id==104), name='SquareSheetConstrainedDiagM3dParallel';
+elseif (id==105), name='SquareSheetConstrainedDiagP3dSerial';
+elseif (id==106), name='SquareSheetConstrainedDiagP3dParallel';
+elseif (id==107), name='SquareSheetConstrainedDiagS3dSerial';
+elseif (id==108), name='SquareSheetConstrainedDiagS3dParallel';
+elseif (id==109), name='SquareSheetConstrainedProg2dSerial';
+elseif (id==110), name='SquareSheetConstrainedProg2dParallel';
+elseif (id==111), name='SquareSheetConstrainedProg3dSerial';
+elseif (id==112), name='SquareSheetConstrainedProg3dParallel';
+elseif (id==113), name='SquareSheetConstrainedProg2dDGSerial';
+elseif (id==114), name='SquareSheetConstrainedProg2dDGParallel';
+elseif (id==115), name='SquareSheetConstrainedTherSteaSerial';
+elseif (id==116), name='SquareSheetConstrainedTherSteaParallel';
+elseif (id==117), name='SquareSheetConstrainedTherTranSerial';
+elseif (id==118), name='SquareSheetConstrainedTherTranParallel';
+elseif (id==119), name='SquareSheetConstrainedTranM2dSerial';
+elseif (id==120), name='SquareSheetConstrainedTranM2dParallel';
+elseif (id==121), name='SquareSheetConstrainedTranP3dSerial';
+elseif (id==122), name='SquareSheetConstrainedTranP3dParallel';
+elseif (id==123), name='SquareSheetConstrainedSurfSlop2dSerial';
+elseif (id==124), name='SquareSheetConstrainedSurfSlop2dParallel';
+elseif (id==125), name='SquareSheetConstrainedSurfSlop3dSerial';
+elseif (id==126), name='SquareSheetConstrainedSurfSlope3dParallel';
+elseif (id==127), name='SquareSheetConstrainedBedSlop2dSerial';
+elseif (id==128), name='SquareSheetConstrainedBedSlop2dParallel';
+elseif (id==129), name='SquareSheetConstrainedBedSlop3dSerial';
+elseif (id==130), name='SquareSheetConstrainedBedSlop3dParallel';
+elseif (id==131), name='SquareSheetConstrainedBalThic2dSerial';
+elseif (id==132), name='SquareSheetConstrainedBalThic2dParallel';
+elseif (id==133), name='SquareSheetConstrainedBalThic3dSerial';
+elseif (id==134), name='SquareSheetConstrainedBalThic3dParallel';
+elseif (id==135), name='SquareSheetConstrainedBalThic2dDGSerial';
+elseif (id==136), name='SquareSheetConstrainedBalThic2dDGParallel';
+elseif (id==201), name='SquareShelfDiagM2dSerial';
 elseif (id==202), name='SquareShelfDiagM2dParallel';
 elseif (id==203), name='SquareShelfDiagM3dSerial';
@@ -27,4 +63,46 @@
 elseif (id==221), name='SquareShelfTranS3dSerial';
 elseif (id==222), name='SquareShelfTranS3dParallel';
+elseif (id==223), name='SquareShelfCMB2dSerial';
+elseif (id==224), name='SquareShelfCMB2dParallel';
+elseif (id==225), name='SquareShelfCMB3dSerial';
+elseif (id==226), name='SquareShelfCMB3dParallel';
+elseif (id==301), name='SquareSheetConstrainedDiagM2dSerial';
+elseif (id==302), name='SquareSheetConstrainedDiagM2dParallel';
+elseif (id==303), name='SquareSheetConstrainedDiagH2dSerial';
+elseif (id==304), name='SquareSheetConstrainedDiagH2dParallel';
+elseif (id==305), name='SquareSheetConstrainedDiagHM2dSerial';
+elseif (id==306), name='SquareSheetConstrainedDiagHM2dParallel';
+elseif (id==307), name='SquareSheetConstrainedDiagM3dSerial';
+elseif (id==308), name='SquareSheetConstrainedDiagM3dParallel';
+elseif (id==309), name='SquareSheetConstrainedDiagH3dSerial';
+elseif (id==310), name='SquareSheetConstrainedDiagH3dParallel';
+elseif (id==311), name='SquareSheetConstrainedDiagHM3dSerial';
+elseif (id==312), name='SquareSheetConstrainedDiagHM3dParallel';
+elseif (id==313), name='SquareSheetConstrainedDiagP3dSerial';
+elseif (id==314), name='SquareSheetConstrainedDiagP3dParallel';
+elseif (id==315), name='SquareSheetConstrainedDiagS3dSerial';
+elseif (id==316), name='SquareSheetConstrainedDiagS3dParallel';
+elseif (id==317), name='SquareSheetConstrainedProg2dSerial';
+elseif (id==318), name='SquareSheetConstrainedProg2dParallel';
+elseif (id==319), name='SquareSheetConstrainedProg2dDGSerial';
+elseif (id==320), name='SquareSheetConstrainedProg2dDGParallel';
+elseif (id==321), name='SquareSheetConstrainedProg3dSerial';
+elseif (id==322), name='SquareSheetConstrainedProg3dParallel';
+elseif (id==323), name='SquareSheetConstrainedTherSteaSerial';
+elseif (id==324), name='SquareSheetConstrainedTherSteaParallel';
+elseif (id==325), name='SquareSheetConstrainedTherTranSerial';
+elseif (id==326), name='SquareSheetConstrainedTherTranParallel';
+elseif (id==327), name='SquareSheetConstrainedTransH2dSerial';
+elseif (id==328), name='SquareSheetConstrainedTranH2dParallel';
+elseif (id==329), name='SquareSheetConstrainedTranH3dSerial';
+elseif (id==330), name='SquareSheetConstrainedTranH3dParallel';
+elseif (id==331), name='SquareSheetConstrainedTranM2dSerial';
+elseif (id==332), name='SquareSheetConstrainedTranM2dParallel';
+elseif (id==333), name='SquareSheetConstrainedTranP3dSerial';
+elseif (id==334), name='SquareSheetConstrainedTranP3dParallel';
+elseif (id==335), name='SquareSheetConstrainedCMDrag2dSerial';
+elseif (id==336), name='SquareSheetConstrainedCMDrag2dParallel';
+elseif (id==337), name='SquareSheetConstrainedCMDrag3dSerial';
+elseif (id==338), name='SquareSheetConstrainedCMDrag3dParallel';
 elseif (id==702), name='SquareShelf...';
 else name='N/A'; end