Index: issm/trunk/test/NightlyRun/test107.m
===================================================================
--- issm/trunk/test/NightlyRun/test107.m	(revision 5431)
+++ issm/trunk/test/NightlyRun/test107.m	(revision 5432)
@@ -3,6 +3,23 @@
 md=parameterize(md,'../Par/SquareShelfConstrained.par');
 md=extrude(md,3,2);
-md=setelementstype(md,'macayeal','all','stokes','all');
 md.cluster='none';
+md=setelementstype(md,'macayeal','all');
+md=solve(md,'analysis_type',DiagnosticSolutionEnum);
+vx=PatchToVec(md.results.DiagnosticSolution.Vx);
+vy=PatchToVec(md.results.DiagnosticSolution.Vy);
+vz=PatchToVec(md.results.DiagnosticSolution.Vz);
+pos=find(md.spcvelocity(:,1));
+md.spcvelocity(pos,3)=1;
+md=setelementstype(md,'stokes','all');
+md.vx=vx;
+md.vy=vy;
+md.vz=vz;
+md.spcvelocity(:,4)=vx;
+md.spcvelocity(:,5)=vy;
+md.spcvelocity(:,6)=vz;
+pos=find(md.borderstokes);
+md.spcvelocity(pos,1)=1;
+md.spcvelocity(pos,2)=1;
+md.spcvelocity(pos,3)=1;
 md=solve(md,'analysis_type',DiagnosticSolutionEnum);
 
Index: issm/trunk/test/NightlyRun/test108.m
===================================================================
--- issm/trunk/test/NightlyRun/test108.m	(revision 5431)
+++ issm/trunk/test/NightlyRun/test108.m	(revision 5432)
@@ -3,6 +3,23 @@
 md=parameterize(md,'../Par/SquareShelfConstrained.par');
 md=extrude(md,3,2);
-md=setelementstype(md,'macayeal','all','stokes','all');
-md.cluster=oshostname();
+md=setelementstype(md,'macayeal','all');
+md.cluster=oshostname;
+md=solve(md,'analysis_type',DiagnosticSolutionEnum);
+vx=PatchToVec(md.results.DiagnosticSolution.Vx);
+vy=PatchToVec(md.results.DiagnosticSolution.Vy);
+vz=PatchToVec(md.results.DiagnosticSolution.Vz);
+pos=find(md.spcvelocity(:,1));
+md.spcvelocity(pos,3)=1;
+md=setelementstype(md,'stokes','all');
+md.vx=vx;
+md.vy=vy;
+md.vz=vz;
+md.spcvelocity(:,4)=vx;
+md.spcvelocity(:,5)=vy;
+md.spcvelocity(:,6)=vz;
+pos=find(md.borderstokes);
+md.spcvelocity(pos,1)=1;
+md.spcvelocity(pos,2)=1;
+md.spcvelocity(pos,3)=1;
 md=solve(md,'analysis_type',DiagnosticSolutionEnum);
 
Index: issm/trunk/test/NightlyRun/test207.m
===================================================================
--- issm/trunk/test/NightlyRun/test207.m	(revision 5431)
+++ issm/trunk/test/NightlyRun/test207.m	(revision 5432)
@@ -3,6 +3,23 @@
 md=parameterize(md,'../Par/SquareShelf.par');
 md=extrude(md,3,2);
-md=setelementstype(md,'macayeal','all','stokes','all');
 md.cluster='none';
+md=setelementstype(md,'macayeal','all');
+md=solve(md,'analysis_type',DiagnosticSolutionEnum);
+vx=PatchToVec(md.results.DiagnosticSolution.Vx);
+vy=PatchToVec(md.results.DiagnosticSolution.Vy);
+vz=PatchToVec(md.results.DiagnosticSolution.Vz);
+pos=find(md.spcvelocity(:,1));
+md.spcvelocity(pos,3)=1;
+md=setelementstype(md,'stokes','all');
+md.vx=vx;
+md.vy=vy;
+md.vz=vz;
+md.spcvelocity(:,4)=vx;
+md.spcvelocity(:,5)=vy;
+md.spcvelocity(:,6)=vz;
+pos=find(md.borderstokes);
+md.spcvelocity(pos,1)=1;
+md.spcvelocity(pos,2)=1;
+md.spcvelocity(pos,3)=1;
 md=solve(md,'analysis_type',DiagnosticSolutionEnum);
 
Index: issm/trunk/test/NightlyRun/test208.m
===================================================================
--- issm/trunk/test/NightlyRun/test208.m	(revision 5431)
+++ issm/trunk/test/NightlyRun/test208.m	(revision 5432)
@@ -3,6 +3,23 @@
 md=parameterize(md,'../Par/SquareShelf.par');
 md=extrude(md,3,2);
-md=setelementstype(md,'macayeal','all','stokes','all');
+md=setelementstype(md,'macayeal','all');
 md.cluster=oshostname;
+md=solve(md,'analysis_type',DiagnosticSolutionEnum);
+vx=PatchToVec(md.results.DiagnosticSolution.Vx);
+vy=PatchToVec(md.results.DiagnosticSolution.Vy);
+vz=PatchToVec(md.results.DiagnosticSolution.Vz);
+pos=find(md.spcvelocity(:,1));
+md.spcvelocity(pos,3)=1;
+md=setelementstype(md,'stokes','all');
+md.vx=vx;
+md.vy=vy;
+md.vz=vz;
+md.spcvelocity(:,4)=vx;
+md.spcvelocity(:,5)=vy;
+md.spcvelocity(:,6)=vz;
+pos=find(md.borderstokes);
+md.spcvelocity(pos,1)=1;
+md.spcvelocity(pos,2)=1;
+md.spcvelocity(pos,3)=1;
 md=solve(md,'analysis_type',DiagnosticSolutionEnum);
 
Index: issm/trunk/test/NightlyRun/test315.m
===================================================================
--- issm/trunk/test/NightlyRun/test315.m	(revision 5431)
+++ issm/trunk/test/NightlyRun/test315.m	(revision 5432)
@@ -3,6 +3,22 @@
 md=parameterize(md,'../Par/SquareSheetConstrained.par');
 md=extrude(md,3,1);
-md=setelementstype(md,'pattyn','all','stokes','all');
-md.cluster='none';
+md=setelementstype(md,'pattyn','all');
+md=solve(md,'analysis_type',DiagnosticSolutionEnum);
+vx=PatchToVec(md.results.DiagnosticSolution.Vx);
+vy=PatchToVec(md.results.DiagnosticSolution.Vy);
+vz=PatchToVec(md.results.DiagnosticSolution.Vz);
+pos=find(md.spcvelocity(:,1));
+md.spcvelocity(pos,3)=1;
+md=setelementstype(md,'stokes','all');
+md.vx=vx;
+md.vy=vy;
+md.vz=vz;
+md.spcvelocity(:,4)=vx;
+md.spcvelocity(:,5)=vy;
+md.spcvelocity(:,6)=vz;
+pos=find(md.borderstokes);
+md.spcvelocity(pos,1)=1;
+md.spcvelocity(pos,2)=1;
+md.spcvelocity(pos,3)=1;
 md=solve(md,'analysis_type',DiagnosticSolutionEnum);
 
Index: issm/trunk/test/NightlyRun/test316.m
===================================================================
--- issm/trunk/test/NightlyRun/test316.m	(revision 5431)
+++ issm/trunk/test/NightlyRun/test316.m	(revision 5432)
@@ -3,6 +3,23 @@
 md=parameterize(md,'../Par/SquareSheetConstrained.par');
 md=extrude(md,3,1);
-md=setelementstype(md,'pattyn','all','stokes','all');
-md.cluster=oshostname();
+md=setelementstype(md,'pattyn','all');
+md.cluster=oshostname;
+md=solve(md,'analysis_type',DiagnosticSolutionEnum);
+vx=PatchToVec(md.results.DiagnosticSolution.Vx);
+vy=PatchToVec(md.results.DiagnosticSolution.Vy);
+vz=PatchToVec(md.results.DiagnosticSolution.Vz);
+pos=find(md.spcvelocity(:,1));
+md.spcvelocity(pos,3)=1;
+md=setelementstype(md,'stokes','all');
+md.vx=vx;
+md.vy=vy;
+md.vz=vz;
+md.spcvelocity(:,4)=vx;
+md.spcvelocity(:,5)=vy;
+md.spcvelocity(:,6)=vz;
+pos=find(md.borderstokes);
+md.spcvelocity(pos,1)=1;
+md.spcvelocity(pos,2)=1;
+md.spcvelocity(pos,3)=1;
 md=solve(md,'analysis_type',DiagnosticSolutionEnum);
 
Index: issm/trunk/test/NightlyRun/test407.m
===================================================================
--- issm/trunk/test/NightlyRun/test407.m	(revision 5431)
+++ issm/trunk/test/NightlyRun/test407.m	(revision 5432)
@@ -3,6 +3,22 @@
 md=parameterize(md,'../Par/SquareSheetShelf.par');
 md=extrude(md,3,1);
-md=setelementstype(md,'pattyn','all','stokes','all');
-md.cluster='none';
+md=setelementstype(md,'pattyn','all');
+md=solve(md,'analysis_type',DiagnosticSolutionEnum);
+vx=PatchToVec(md.results.DiagnosticSolution.Vx);
+vy=PatchToVec(md.results.DiagnosticSolution.Vy);
+vz=PatchToVec(md.results.DiagnosticSolution.Vz);
+pos=find(md.spcvelocity(:,1));
+md.spcvelocity(pos,3)=1;
+md=setelementstype(md,'stokes','all');
+md.vx=vx;
+md.vy=vy;
+md.vz=vz;
+md.spcvelocity(:,4)=vx;
+md.spcvelocity(:,5)=vy;
+md.spcvelocity(:,6)=vz;
+pos=find(md.borderstokes);
+md.spcvelocity(pos,1)=1;
+md.spcvelocity(pos,2)=1;
+md.spcvelocity(pos,3)=1;
 md=solve(md,'analysis_type',DiagnosticSolutionEnum);
 
Index: issm/trunk/test/NightlyRun/test408.m
===================================================================
--- issm/trunk/test/NightlyRun/test408.m	(revision 5431)
+++ issm/trunk/test/NightlyRun/test408.m	(revision 5432)
@@ -3,6 +3,23 @@
 md=parameterize(md,'../Par/SquareSheetShelf.par');
 md=extrude(md,3,1);
-md=setelementstype(md,'pattyn','all','stokes','all');
-md.cluster=oshostname();
+md=setelementstype(md,'pattyn','all');
+md.cluster=oshostname;
+md=solve(md,'analysis_type',DiagnosticSolutionEnum);
+vx=PatchToVec(md.results.DiagnosticSolution.Vx);
+vy=PatchToVec(md.results.DiagnosticSolution.Vy);
+vz=PatchToVec(md.results.DiagnosticSolution.Vz);
+pos=find(md.spcvelocity(:,1));
+md.spcvelocity(pos,3)=1;
+md=setelementstype(md,'stokes','all');
+md.vx=vx;
+md.vy=vy;
+md.vz=vz;
+md.spcvelocity(:,4)=vx;
+md.spcvelocity(:,5)=vy;
+md.spcvelocity(:,6)=vz;
+pos=find(md.borderstokes);
+md.spcvelocity(pos,1)=1;
+md.spcvelocity(pos,2)=1;
+md.spcvelocity(pos,3)=1;
 md=solve(md,'analysis_type',DiagnosticSolutionEnum);
 
Index: issm/trunk/test/NightlyRun/test505.m
===================================================================
--- issm/trunk/test/NightlyRun/test505.m	(revision 5431)
+++ issm/trunk/test/NightlyRun/test505.m	(revision 5432)
@@ -3,6 +3,22 @@
 md=parameterize(md,'../Par/Pig.par');
 md=extrude(md,3,0.9);
-md=setelementstype(md,'pattyn','all','stokes','all');
-md.cluster='none';
+md=setelementstype(md,'pattyn','all');
+md=solve(md,'analysis_type',DiagnosticSolutionEnum);
+vx=PatchToVec(md.results.DiagnosticSolution.Vx);
+vy=PatchToVec(md.results.DiagnosticSolution.Vy);
+vz=PatchToVec(md.results.DiagnosticSolution.Vz);
+pos=find(md.spcvelocity(:,1));
+md.spcvelocity(pos,3)=1;
+md=setelementstype(md,'stokes','all');
+md.vx=vx;
+md.vy=vy;
+md.vz=vz;
+md.spcvelocity(:,4)=vx;
+md.spcvelocity(:,5)=vy;
+md.spcvelocity(:,6)=vz;
+pos=find(md.borderstokes);
+md.spcvelocity(pos,1)=1;
+md.spcvelocity(pos,2)=1;
+md.spcvelocity(pos,3)=1;
 md=solve(md,'analysis_type',DiagnosticSolutionEnum);
 
Index: issm/trunk/test/NightlyRun/test506.m
===================================================================
--- issm/trunk/test/NightlyRun/test506.m	(revision 5431)
+++ issm/trunk/test/NightlyRun/test506.m	(revision 5432)
@@ -3,6 +3,23 @@
 md=parameterize(md,'../Par/Pig.par');
 md=extrude(md,3,0.9);
-md=setelementstype(md,'pattyn','all','stokes','all');
-md.cluster=oshostname();
+md=setelementstype(md,'pattyn','all');
+md.cluster=oshostname;
+md=solve(md,'analysis_type',DiagnosticSolutionEnum);
+vx=PatchToVec(md.results.DiagnosticSolution.Vx);
+vy=PatchToVec(md.results.DiagnosticSolution.Vy);
+vz=PatchToVec(md.results.DiagnosticSolution.Vz);
+pos=find(md.spcvelocity(:,1));
+md.spcvelocity(pos,3)=1;
+md=setelementstype(md,'stokes','all');
+md.vx=vx;
+md.vy=vy;
+md.vz=vz;
+md.spcvelocity(:,4)=vx;
+md.spcvelocity(:,5)=vy;
+md.spcvelocity(:,6)=vz;
+pos=find(md.borderstokes);
+md.spcvelocity(pos,1)=1;
+md.spcvelocity(pos,2)=1;
+md.spcvelocity(pos,3)=1;
 md=solve(md,'analysis_type',DiagnosticSolutionEnum);
 