Index: issm/trunk/cron/configs/linux64_morlighem
===================================================================
--- issm/trunk/cron/configs/linux64_morlighem	(revision 5591)
+++ 	(revision )
@@ -1,94 +1,0 @@
-#
-########### Configuration file for Mathieu Morlighem's nightly run on Linux ############
-
-#-------------------------------#
-# 1: ISSM general configuration #
-#-------------------------------#
-
-#ISSM main directory (full pathto ISSM trunk)
-ISSM_DIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/cron/trunk"
-#ISSM_DIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/cron/issm2.2"
-
-#ISSM Architecture
-ISSM_ARCH="linux-gnu-amd64"
-
-#Operating System
-OS="linux64"
-
-#MATLAB path
-MATLAB_PATH="/usr/local/pkgs/matlab-7.6/"
-
-#----------------------#
-# 2: ISSM Installation #
-#----------------------#
-
-#ISSM_INSTALLATION can have 3 values:
-# - "checkout" the existing version of the code will be erased and
-#              the latest version will be checked out
-# - "update"   the directory won't be erased but ISSM will be updated
-#              ->skip to section 3
-# - "none"     leave ISSM as is in its directory
-#              ->skip to section 3
-ISSM_INSTALLATION="update"
-
-#SVN repository
-REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
-#REPOSITORY="http://s383-rhat/issm/svn/issm/branches/issm2.2"
-
-#execution path used for parallel runs
-EXECUTION_PATH="/u/wilkes-r1b/morlighe/ExecutionNightlyRun"
-
-#-----------------------------------#
-# 3: External packages installation #
-#-----------------------------------#
-
-#ISSM_EXTERNALPACKAGES can have 3 values:
-# - "install" install all external packages listed below
-# - "copy"    copy existing directories (EXTERNALPACKAGESDIR
-#             and DEVPACKAGESDIR)
-# - "none"    leave external packages as is
-#             ->skip to section 4
-ISSM_EXTERNALPACKAGES="none"
-EXTERNALPACKAGESDIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/externalpackages"
-DEVPACKAGESDIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/devpackages"
-
-#List of external pakages to be installed
-EXTERNALPACKAGES="matlab mpich2 petsc metis triangle dakota chaco"
-
-#---------------------#
-# 4: ISSM Compilation #
-#---------------------#
-
-#ISSM_COMPILATION can have 2 values:
-# - "yes" compile ISSM
-# - "no"  do not compile ISSM
-ISSM_COMPILATION="yes"
-
-#----------------------#
-# 5: Mail notification #
-#----------------------#
-
-#Mail delivery. If SKIPMAIL="no", the html nightly run report will be
-#sent to the adresses present in $ISSM_DIR/cron/mailinglist.
-SKIPMAIL="no"
-
-#Sender email address
-EMAIL_ADRESS="mathieu.morlighem@jpl.nasa.gov"
-
-#------------------------#
-# 6: Nightly run options #
-#------------------------#
-
-#number of cpus used in ISSM installation and compilation (one is usually
-#safer as some packages are very sensitive to parallel compilation)
-NUMCPUS_INSTALL=8
-
-#number of cpus used in the nightly runs.
-NUMCPUS_RUN=7
-
-#Nightly run options. The matlab routine nightlyrun.m will be called
-#as follows: nightlyrun($NROPTIONS). The options must be understandable
-#by Matlab and nightlyrun.m
-#ex: "'id',[101 102 103]"
-
-NROPTIONS=""
Index: issm/trunk/cron/configs/linux64_morlighem_daily
===================================================================
--- issm/trunk/cron/configs/linux64_morlighem_daily	(revision 5603)
+++ issm/trunk/cron/configs/linux64_morlighem_daily	(revision 5603)
@@ -0,0 +1,94 @@
+#
+########### Configuration file for Mathieu Morlighem's nightly run on Linux ############
+
+#-------------------------------#
+# 1: ISSM general configuration #
+#-------------------------------#
+
+#ISSM main directory (full pathto ISSM trunk)
+ISSM_DIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/cron/trunk"
+#ISSM_DIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/cron/issm2.2"
+
+#ISSM Architecture
+ISSM_ARCH="linux-gnu-amd64"
+
+#Operating System
+OS="linux64"
+
+#MATLAB path
+MATLAB_PATH="/usr/local/pkgs/matlab-7.6/"
+
+#----------------------#
+# 2: ISSM Installation #
+#----------------------#
+
+#ISSM_INSTALLATION can have 3 values:
+# - "checkout" the existing version of the code will be erased and
+#              the latest version will be checked out
+# - "update"   the directory won't be erased but ISSM will be updated
+#              ->skip to section 3
+# - "none"     leave ISSM as is in its directory
+#              ->skip to section 3
+ISSM_INSTALLATION="update"
+
+#SVN repository
+REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+#REPOSITORY="http://s383-rhat/issm/svn/issm/branches/issm2.2"
+
+#execution path used for parallel runs
+EXECUTION_PATH="/u/wilkes-r1b/morlighe/ExecutionNightlyRun"
+
+#-----------------------------------#
+# 3: External packages installation #
+#-----------------------------------#
+
+#ISSM_EXTERNALPACKAGES can have 3 values:
+# - "install" install all external packages listed below
+# - "copy"    copy existing directories (EXTERNALPACKAGESDIR
+#             and DEVPACKAGESDIR)
+# - "none"    leave external packages as is
+#             ->skip to section 4
+ISSM_EXTERNALPACKAGES="none"
+EXTERNALPACKAGESDIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/externalpackages"
+DEVPACKAGESDIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/devpackages"
+
+#List of external pakages to be installed
+EXTERNALPACKAGES="matlab mpich2 petsc metis triangle dakota chaco"
+
+#---------------------#
+# 4: ISSM Compilation #
+#---------------------#
+
+#ISSM_COMPILATION can have 2 values:
+# - "yes" compile ISSM
+# - "no"  do not compile ISSM
+ISSM_COMPILATION="yes"
+
+#----------------------#
+# 5: Mail notification #
+#----------------------#
+
+#Mail delivery. If SKIPMAIL="no", the html nightly run report will be
+#sent to the adresses present in $ISSM_DIR/cron/mailinglist.
+SKIPMAIL="no"
+
+#Sender email address
+EMAIL_ADRESS="mathieu.morlighem@jpl.nasa.gov"
+
+#------------------------#
+# 6: Nightly run options #
+#------------------------#
+
+#number of cpus used in ISSM installation and compilation (one is usually
+#safer as some packages are very sensitive to parallel compilation)
+NUMCPUS_INSTALL=8
+
+#number of cpus used in the nightly runs.
+NUMCPUS_RUN=7
+
+#Nightly run options. The matlab routine nightlyrun.m will be called
+#as follows: nightlyrun($NROPTIONS). The options must be understandable
+#by Matlab and nightlyrun.m
+#ex: "'id',[101 102 103]"
+
+NROPTIONS="'exclude',[435 527 231 232]" #exlude dakota and Bamg
Index: issm/trunk/cron/configs/linux64_morlighem_nightly
===================================================================
--- issm/trunk/cron/configs/linux64_morlighem_nightly	(revision 5603)
+++ issm/trunk/cron/configs/linux64_morlighem_nightly	(revision 5603)
@@ -0,0 +1,94 @@
+#
+########### Configuration file for Mathieu Morlighem's nightly run on Linux ############
+
+#-------------------------------#
+# 1: ISSM general configuration #
+#-------------------------------#
+
+#ISSM main directory (full pathto ISSM trunk)
+ISSM_DIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/cron/trunk"
+#ISSM_DIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/cron/issm2.2"
+
+#ISSM Architecture
+ISSM_ARCH="linux-gnu-amd64"
+
+#Operating System
+OS="linux64"
+
+#MATLAB path
+MATLAB_PATH="/usr/local/pkgs/matlab-7.6/"
+
+#----------------------#
+# 2: ISSM Installation #
+#----------------------#
+
+#ISSM_INSTALLATION can have 3 values:
+# - "checkout" the existing version of the code will be erased and
+#              the latest version will be checked out
+# - "update"   the directory won't be erased but ISSM will be updated
+#              ->skip to section 3
+# - "none"     leave ISSM as is in its directory
+#              ->skip to section 3
+ISSM_INSTALLATION="checkout"
+
+#SVN repository
+REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+#REPOSITORY="http://s383-rhat/issm/svn/issm/branches/issm2.2"
+
+#execution path used for parallel runs
+EXECUTION_PATH="/u/wilkes-r1b/morlighe/ExecutionNightlyRun"
+
+#-----------------------------------#
+# 3: External packages installation #
+#-----------------------------------#
+
+#ISSM_EXTERNALPACKAGES can have 3 values:
+# - "install" install all external packages listed below
+# - "copy"    copy existing directories (EXTERNALPACKAGESDIR
+#             and DEVPACKAGESDIR)
+# - "none"    leave external packages as is
+#             ->skip to section 4
+ISSM_EXTERNALPACKAGES="install"
+EXTERNALPACKAGESDIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/externalpackages"
+DEVPACKAGESDIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/devpackages"
+
+#List of external pakages to be installed
+EXTERNALPACKAGES="matlab mpich2 petsc metis triangle dakota chaco"
+
+#---------------------#
+# 4: ISSM Compilation #
+#---------------------#
+
+#ISSM_COMPILATION can have 2 values:
+# - "yes" compile ISSM
+# - "no"  do not compile ISSM
+ISSM_COMPILATION="yes"
+
+#----------------------#
+# 5: Mail notification #
+#----------------------#
+
+#Mail delivery. If SKIPMAIL="no", the html nightly run report will be
+#sent to the adresses present in $ISSM_DIR/cron/mailinglist.
+SKIPMAIL="no"
+
+#Sender email address
+EMAIL_ADRESS="mathieu.morlighem@jpl.nasa.gov"
+
+#------------------------#
+# 6: Nightly run options #
+#------------------------#
+
+#number of cpus used in ISSM installation and compilation (one is usually
+#safer as some packages are very sensitive to parallel compilation)
+NUMCPUS_INSTALL=1
+
+#number of cpus used in the nightly runs.
+NUMCPUS_RUN=7
+
+#Nightly run options. The matlab routine nightlyrun.m will be called
+#as follows: nightlyrun($NROPTIONS). The options must be understandable
+#by Matlab and nightlyrun.m
+#ex: "'id',[101 102 103]"
+
+NROPTIONS=""
Index: issm/trunk/cron/configs/linux64_morlighem_validation
===================================================================
--- issm/trunk/cron/configs/linux64_morlighem_validation	(revision 5603)
+++ issm/trunk/cron/configs/linux64_morlighem_validation	(revision 5603)
@@ -0,0 +1,93 @@
+########### Configuration file for Mathieu Morlighem's nightly run on Linux ############
+
+#-------------------------------#
+# 1: ISSM general configuration #
+#-------------------------------#
+
+#ISSM main directory (full pathto ISSM trunk)
+ISSM_DIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/cron/trunk"
+#ISSM_DIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/cron/issm2.2"
+
+#ISSM Architecture
+ISSM_ARCH="linux-gnu-amd64"
+
+#Operating System
+OS="linux64"
+
+#MATLAB path
+MATLAB_PATH="/usr/local/pkgs/matlab-7.6/"
+
+#----------------------#
+# 2: ISSM Installation #
+#----------------------#
+
+#ISSM_INSTALLATION can have 3 values:
+# - "checkout" the existing version of the code will be erased and
+#              the latest version will be checked out
+# - "update"   the directory won't be erased but ISSM will be updated
+#              ->skip to section 3
+# - "none"     leave ISSM as is in its directory
+#              ->skip to section 3
+ISSM_INSTALLATION="checkout"
+
+#SVN repository
+REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+#REPOSITORY="http://s383-rhat/issm/svn/issm/branches/issm2.2"
+
+#execution path used for parallel runs
+EXECUTION_PATH="/u/wilkes-r1b/morlighe/ExecutionNightlyRun"
+
+#-----------------------------------#
+# 3: External packages installation #
+#-----------------------------------#
+
+#ISSM_EXTERNALPACKAGES can have 3 values:
+# - "install" install all external packages listed below
+# - "copy"    copy existing directories (EXTERNALPACKAGESDIR
+#             and DEVPACKAGESDIR)
+# - "none"    leave external packages as is
+#             ->skip to section 4
+ISSM_EXTERNALPACKAGES="install"
+EXTERNALPACKAGESDIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/externalpackages"
+DEVPACKAGESDIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/devpackages"
+
+#List of external pakages to be installed
+EXTERNALPACKAGES="matlab mpich2 petsc metis triangle dakota chaco"
+
+#---------------------#
+# 4: ISSM Compilation #
+#---------------------#
+
+#ISSM_COMPILATION can have 2 values:
+# - "yes" compile ISSM
+# - "no"  do not compile ISSM
+ISSM_COMPILATION="yes"
+
+#----------------------#
+# 5: Mail notification #
+#----------------------#
+
+#Mail delivery. If SKIPMAIL="no", the html nightly run report will be
+#sent to the adresses present in $ISSM_DIR/cron/mailinglist.
+SKIPMAIL="no"
+
+#Sender email address
+EMAIL_ADRESS="mathieu.morlighem@jpl.nasa.gov"
+
+#------------------------#
+# 6: Nightly run options #
+#------------------------#
+
+#number of cpus used in ISSM installation and compilation (one is usually
+#safer as some packages are very sensitive to parallel compilation)
+NUMCPUS_INSTALL=1
+
+#number of cpus used in the nightly runs.
+NUMCPUS_RUN=7
+
+#Nightly run options. The matlab routine nightlyrun.m will be called
+#as follows: nightlyrun($NROPTIONS). The options must be understandable
+#by Matlab and nightlyrun.m
+#ex: "'id',[101 102 103]"
+
+NROPTIONS="'benchmark','all','exclude',[435 527 231 232 1201 1102 1104 1106 1110]" #exlude dakota and Bamg and Stokes ISMIP Validation
Index: issm/trunk/cron/cronfiles/linux_cronfile
===================================================================
--- issm/trunk/cron/cronfiles/linux_cronfile	(revision 5591)
+++ issm/trunk/cron/cronfiles/linux_cronfile	(revision 5603)
@@ -6,7 +6,8 @@
 
 #cronjob
-00 09 * * 1-5 cd /u/wilkes-r1b/morlighe/svn/issm/trunk/cron/ && ./nightlyrun.sh configs/linux64_morlighem
-30 12 * * 1-5 cd /u/wilkes-r1b/morlighe/svn/issm/trunk/cron/ && ./nightlyrun.sh configs/linux64_morlighem
-00 15 * * 1-5 cd /u/wilkes-r1b/morlighe/svn/issm/trunk/cron/ && ./nightlyrun.sh configs/linux64_morlighem
-00 18 * * 1-5 cd /u/wilkes-r1b/morlighe/svn/issm/trunk/cron/ && ./nightlyrun.sh configs/linux64_morlighem
-00 23 * * 1-5 cd /u/wilkes-r1b/morlighe/svn/issm/trunk/cron/ && ./nightlyrun.sh configs/linux64_morlighem2
+00 09 * * 1-5 cd /u/wilkes-r1b/morlighe/svn/issm/trunk/cron/ && ./nightlyrun.sh configs/linux64_morlighem_daily
+30 12 * * 1-5 cd /u/wilkes-r1b/morlighe/svn/issm/trunk/cron/ && ./nightlyrun.sh configs/linux64_morlighem_daily
+00 15 * * 1-5 cd /u/wilkes-r1b/morlighe/svn/issm/trunk/cron/ && ./nightlyrun.sh configs/linux64_morlighem_daily
+00 18 * * 1-5 cd /u/wilkes-r1b/morlighe/svn/issm/trunk/cron/ && ./nightlyrun.sh configs/linux64_morlighem_daily
+00 23 * * 1-5 cd /u/wilkes-r1b/morlighe/svn/issm/trunk/cron/ && ./nightlyrun.sh configs/linux64_morlighem_nightly
+00 23 * * 6   cd /u/wilkes-r1b/morlighe/svn/issm/trunk/cron/ && ./nightlyrun.sh configs/linux64_morlighem_validation